[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TInterfaceList.Insert

Insert an interface to the list

## Declaration

Source position: classesh.inc line 1883

`public procedure TInterfaceList.Insert(`
`i: Integer;`
`item: IUnknown`
`);`

## Description

Insert is the implementation of the IInterfaceList.Insert method. It inserts an interface in the list at the indicated position. This operation will increment the reference count of the interface.

## See also

IInterfaceList.Insert |  | Insert an interface in the list.
TInterfaceList.Delete |  | Delete an interface from the list.
TInterfaceList.Add |  | Add an interface to the list
TList.Insert |  | Inserts a new pointer in the list at a given position.
TFPList.Insert |  | Inserts a new pointer in the list at a given position.

Documentation generated on: Feb 26 2014